package com.sixin.module_p.base

import android.os.Bundle
import android.view.View
import android.widget.TextView
import androidx.databinding.ViewDataBinding
import androidx.lifecycle.ViewModel
import com.lukouguoji.module_base.base.BaseBindingActivity
import com.sixin.module_p.R
import com.sixin.module_p.helper.PDAHelper
import me.jessyan.autosize.internal.CustomAdapt

abstract class BasePdaActivity<T : ViewDataBinding, VM : ViewModel> : BaseBindingActivity<T, VM>(),
    CustomAdapt {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        findViewById<TextView>(R.id.tool_tv_back)?.visibility = View.INVISIBLE
    }

    override fun isBaseOnWidth() = true

    override fun getSizeInDp(): Float = PDAHelper.PDA_WIDTH
}